# $Revision: 1.18 $, $Date: 2004/12/01 17:03:12 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (one meaningless test fails)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GraphViz
%define		pnam	Data-Structure
Summary:	GraphViz::Data::Structure module - visualise data structures
Summary(pl):	Modu GraphViz::Data::Structure - wizualizacja struktur danych
Name:		perl-GraphViz-Data-Structure
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	79dcdadded7f193f907e362efab61f55
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-GraphViz >= 2.01
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-GraphViz >= 1.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module makes it easy to visualise data structures, even recursive
or circular ones. It is provided as an alternative to
GraphViz::Data::Grapher.

%description -l pl
Ten modu uatwia wizualizacj struktur danych, nawet zagniedonych i
cyklicznych. Jest udostpniony jako alternatywa dla moduu
GraphViz::Data::Grapher.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes README
%{perl_vendorlib}/GraphViz/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GraphViz-Data-Structure.spec,v $
Revision 1.18  2004/12/01 17:03:12  radek
- turned off tests, 01basic.t:9 is ignorable

Revision 1.17  2004/12/01 16:48:52  radek
- version 0.12; NOTE: t/01basic.t test 9 fails

Revision 1.16  2004/11/03 22:30:24  paladine
- formatting

Revision 1.15  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.13  2004/05/06 18:09:39  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.11  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.10  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/28 10:08:22  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:49  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/03 09:12:41  qboosh
- removed GraphViz/Data dir (belongs to perl-GraphViz); release 2

Revision 1.1  2002/08/16 18:56:12  qboosh
- new
